=== modified file '__init__.py'
--- __init__.py	2009-02-18 09:29:37 +0000
+++ __init__.py	2009-02-19 11:13:09 +0000
@@ -28,8 +28,6 @@
 from bzrlib.commands import plugin_cmds
 from bzrlib.directory_service import directories
 
-from bzrlib.plugins.builddeb.version import version_info
-
 commands = {
         "test_builddeb": [],
         "builddeb": ["bd"],

=== modified file 'cmds.py'
--- cmds.py	2009-02-18 23:05:19 +0000
+++ cmds.py	2009-02-19 11:13:09 +0000
@@ -29,7 +29,6 @@
 from debian_bundle.changelog import Version
 
 from bzrlib import (
-    bzrdir,
     urlutils,
     )
 from bzrlib.branch import Branch

=== modified file 'config.py'
--- config.py	2009-02-18 23:05:19 +0000
+++ config.py	2009-02-19 11:13:09 +0000
@@ -18,9 +18,8 @@
 #    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 #
 
-from bzrlib.config import ConfigObj, IniBasedConfig, TreeConfig
+from bzrlib.config import ConfigObj, TreeConfig
 from bzrlib.trace import mutter
-from bzrlib.plugins.builddeb.util import get_snapshot_revision
 
 
 class SvnBuildPackageMappedConfig(object):

=== modified file 'import_dsc.py'
--- import_dsc.py	2009-02-18 22:51:51 +0000
+++ import_dsc.py	2009-02-19 11:13:09 +0000
@@ -54,7 +54,6 @@
         BzrError,
         UncommittedChanges,
         NotBranchError,
-        NoRepositoryPresent,
         AlreadyBranchError,
         )
 from bzrlib.export import export
@@ -1995,7 +1994,7 @@
                     possible_transports=[to_transport])
         else:
             if existing_bzrdir.has_branch():
-                raise AlreadyBranchError(location)
+                raise AlreadyBranchError(to_location)
             else:
                 branch = existing_bzrdir.create_branch()
                 existing_bzrdir.create_workingtree()

=== modified file 'merge_upstream.py'
--- merge_upstream.py	2009-02-18 23:05:19 +0000
+++ merge_upstream.py	2009-02-19 11:13:09 +0000
@@ -33,7 +33,7 @@
 
 from debian_bundle.changelog import Changelog, Version
 
-from bzrlib.errors import (BzrCommandError,
+from bzrlib.errors import (
                            NoSuchTag,
                            TagAlreadyExists,
                            )

=== modified file 'revspec.py'
--- revspec.py	2009-02-17 16:47:07 +0000
+++ revspec.py	2009-02-19 11:13:09 +0000
@@ -22,12 +22,9 @@
 from bzrlib.revisionspec import RevisionSpec, RevisionInfo
 
 from bzrlib.plugins.builddeb.errors import (
-        AmbiguousPackageSpecification,
-        UnknownDistribution,
         UnknownVersion,
         VersionNotSpecified,
         )
-from bzrlib.plugins.builddeb.util import lookup_distribution
 
 
 class RevisionSpec_package(RevisionSpec):

=== modified file 'tests/blackbox/test_builddeb.py'
--- tests/blackbox/test_builddeb.py	2009-02-18 18:36:18 +0000
+++ tests/blackbox/test_builddeb.py	2009-02-19 11:13:09 +0000
@@ -20,10 +20,6 @@
 
 import os
 
-from debian_bundle.changelog import (Changelog,
-                                     Version,
-                                     )
-
 from bzrlib.plugins.builddeb.tests import BuilddebTestCase
 
 

=== modified file 'tests/blackbox/test_import_dsc.py'
--- tests/blackbox/test_import_dsc.py	2009-02-18 20:29:30 +0000
+++ tests/blackbox/test_import_dsc.py	2009-02-19 11:13:09 +0000
@@ -23,9 +23,6 @@
 import subprocess
 import tarfile
 
-from bzrlib.bzrdir import BzrDir
-from bzrlib.workingtree import WorkingTree
-
 from bzrlib.plugins.builddeb.tests import BuilddebTestCase
 
 

=== modified file 'tests/test_builder.py'
--- tests/test_builder.py	2009-02-18 20:29:30 +0000
+++ tests/test_builder.py	2009-02-19 11:13:09 +0000
@@ -26,13 +26,8 @@
 
 from debian_bundle.changelog import Version
 
-from bzrlib.errors import (
-        NotBranchError,
-        NotADirectory,
-        )
 from bzrlib.tests import (TestCaseInTempDir,
                           )
-from bzrlib.workingtree import WorkingTree
 
 from bzrlib.plugins.builddeb.builder import (remove_dir,
                      remove_bzrbuilddeb_dir,

=== modified file 'tests/test_config.py'
--- tests/test_config.py	2009-02-18 18:36:18 +0000
+++ tests/test_config.py	2009-02-19 11:13:09 +0000
@@ -23,7 +23,7 @@
 from bzrlib.branch import Branch
 from bzrlib.tests import TestCaseWithTransport
 
-from bzrlib.plugins.builddeb.config import DebBuildConfig, SvnBuildPackageMappedConfig
+from bzrlib.plugins.builddeb.config import DebBuildConfig
 
 
 class DebBuildConfigTests(TestCaseWithTransport):

=== modified file 'tests/test_import_dsc.py'
--- tests/test_import_dsc.py	2009-02-19 11:00:04 +0000
+++ tests/test_import_dsc.py	2009-02-19 11:13:09 +0000
@@ -21,13 +21,11 @@
 
 import gzip
 import os
-import select
 import shutil
-import subprocess
 import sys
 import tarfile
 
-from debian_bundle.changelog import Version, Changelog
+from debian_bundle.changelog import Version
 
 from bzrlib.config import ConfigObj
 from bzrlib.conflicts import TextConflict
@@ -42,6 +40,7 @@
         DistributionBranch,
         DistributionBranchSet,
         )
+from bzrlib.plugins.builddeb.tests import SourcePackageBuilder
 
 def write_to_file(filename, contents):
   f = open(filename, 'wb')

=== modified file 'tests/test_merge_upstream.py'
--- tests/test_merge_upstream.py	2009-02-18 22:28:19 +0000
+++ tests/test_merge_upstream.py	2009-02-19 11:13:09 +0000
@@ -18,20 +18,16 @@
 #    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 #
 
-import os
 import tarfile
 import shutil
 
 from debian_bundle.changelog import Changelog, Version
 
-from bzrlib.errors import (BzrCommandError,
+from bzrlib.errors import (
                            NoSuchFile,
-                           NoSuchTag,
-                           TagAlreadyExists,
                            )
 from bzrlib.revision import Revision
 from bzrlib.tests import KnownFailure, TestCase, TestCaseWithTransport
-from bzrlib.workingtree import WorkingTree
 
 from bzrlib.plugins.builddeb.errors import (
         UpstreamAlreadyImported,
@@ -41,7 +37,6 @@
         DistributionBranchSet,
         )
 from bzrlib.plugins.builddeb.merge_upstream import (
-        merge_upstream, 
         package_version,
         _upstream_branch_version,
         upstream_tag_to_version,

=== modified file 'tests/test_repack_tarball.py'
--- tests/test_repack_tarball.py	2008-12-02 16:25:25 +0000
+++ tests/test_repack_tarball.py	2009-02-19 11:13:09 +0000
@@ -19,12 +19,10 @@
 #
 
 import os
-import shutil
 import tarfile
 
 from bzrlib.errors import (NoSuchFile,
                            FileExists,
-                           NotADirectory,
                            )
 from bzrlib.tests import TestCaseInTempDir
 

=== modified file 'tests/test_repack_tarball_extra.py'
--- tests/test_repack_tarball_extra.py	2009-02-12 14:45:56 +0000
+++ tests/test_repack_tarball_extra.py	2009-02-19 11:13:09 +0000
@@ -24,7 +24,7 @@
 
 from bzrlib.plugins.builddeb.repack_tarball import repack_tarball
 
-from bzrlib.errors import BzrCommandError, FileExists
+from bzrlib.errors import FileExists
 from bzrlib.tests import TestCaseInTempDir
 
 from bzrlib.plugins.builddeb.errors import UnsupportedRepackFormat

=== modified file 'tests/test_revspec.py'
--- tests/test_revspec.py	2009-02-17 16:47:07 +0000
+++ tests/test_revspec.py	2009-02-19 11:13:09 +0000
@@ -23,8 +23,6 @@
 from bzrlib.revisionspec import RevisionSpec
 
 from bzrlib.plugins.builddeb.errors import (
-        AmbiguousPackageSpecification,
-        UnknownDistribution,
         UnknownVersion,
         VersionNotSpecified,
         )

=== modified file 'util.py'
--- util.py	2008-12-02 16:19:54 +0000
+++ util.py	2009-02-19 11:13:09 +0000
@@ -22,7 +22,7 @@
 import os
 import re
 
-from bzrlib.trace import info, mutter
+from bzrlib.trace import mutter
 
 from debian_bundle.changelog import Changelog
 

